LINUX.ORG.RU

Проблема с кодировкой после обновления

 , , ,


0

1

Запустил обновление системы с помощью ‘apt update && apt dist-upgrade’. Обновление прошло успешно, я перезагрузил систему. После перезагрузки обнаружил, что слетела кодировка символов на окнах, рабочем столе, меню и тд (отображаются просто непонятные символы). Попробовал перенастроить через команду ‘dpkg-reconfigure locale’, но ничего не изменилось. Посмотрел, что выдает ‘locale’ там показывает ru_RU.utf-8, как и должно. В общем не знаю как исправить, в сети ничего толкового не нашел. Может кто-нибудь сталкивался или знает как исправить? Стоит окружение xfce, может в нем сбилась кодировка и как-то отдельно надо настроить, в общем буду рад вашим советам

Как обычно, совершенно недостаточно информации.

Давай по порядку, выложи вот это:

uname -a
lsb_release -a
cat /etc/apt/sources.list
ls /etc/apt/sources.list.d
cat /etc/apt/sources.list.d/*
sudo apt install -f
locale
apt list --installed | grep '/now'
apt list --installed | grep -i font
, при выкладывании здесь учитывай разметку: Как правильно копировать вывод терминала

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от soriye577

Если kali, то надеюсь на виртуалке. Уж легче переустановить.

Тем более я так вижу мажорное обновление было аж в январе.

Artamudo ★★★ ()
Последнее исправление: Artamudo (всего исправлений: 1)
Ответ на: комментарий от soriye577

Тема закрыта.

Kali — очень нестабильная система, которая может заглючить на равном месте.

Разработчики сами предупреждают об этом поведении: https://www.kali.org/docs/introduction/should-i-use-kali-linux/ , и не рекомендуют использовать Kali новичкам и для чего-то кроме пентестов. Причем в режиме Live с флешки.

К сожалению, из-за мифа YouTube, который был порожден сериалом Mr. Robot во многом, этот дистрибутив распиарен как «дистр для профи». В действительности, это узкоспециальный дистрибутив, не предназначенный для постоянной работы в режиме рабочей станции.

Поэтому — хрен его знает, почему у тебя всё слетело. Как уже писал выше — для Kali нормальны глюки на ровном месте. Форум полон темами от его пользователей, который сталкивались с проблемами, которые никогда не испытывали пользователи иных, более «десктопных» дистрибутивов Linux.

Если ты хочешь действительно изучить Linux, и выбрал Kali, ошибочно полагая, что с ним ты его изучишь — то переходи на RHEL, CentOS или Oracle Linux. В отличии от узкоспециальной сборки Kali Linux, они являются стандартом в энтерпрайзной среде. Так же рекомендую вот эту книгу (если что, на торрентах и файлообменниках тоже есть): https://www.pearsonitcertification.com/store/red-hat-rhcsa-8-cert-guide-ex200...

Для пентесов — просто пускай его с флешки.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

uname -a

Linux pc 5.5.0-kali2-amd64 #1 SMP Debian 5.5.17-1kali1 (2020-04-21) x86_64 GNU/Linux

lsb_release -a

No LSB modules are available.
Distributor ID: Kali
Description:    Kali GNU/Linux Rolling
Release:        2020.2
Codename:       kali-rolling

cat /etc/apt/sources.list

deb https://http.kali.org/kali kali-rolling main non-free contrib
# deb-src https://http.kali.org/kali kali-rolling main non-free contrib

ls /etc/apt/sources.list.d

yggdrasil.list

cat /etc/apt/sources.list.d/*

deb https://neilalexander.s3.dualstack.eu-west-2.amazonaws.com/deb/ debian yggdrasil

sudo apt install -f

Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Обновлено 0 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.

locale

LANG=ru_RU.utf8
LANGUAGE=
LC_CTYPE="ru_RU.utf8"
LC_NUMERIC="ru_RU.utf8"
LC_TIME="ru_RU.utf8"
LC_COLLATE="ru_RU.utf8"
LC_MONETARY="ru_RU.utf8"
LC_MESSAGES="ru_RU.utf8"
LC_PAPER="ru_RU.utf8"
LC_NAME="ru_RU.utf8"
LC_ADDRESS="ru_RU.utf8"
LC_TELEPHONE="ru_RU.utf8"
LC_MEASUREMENT="ru_RU.utf8"
LC_IDENTIFICATION="ru_RU.utf8"
LC_ALL=

apt list –installed | grep ‘/now’

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

atom/now 1.41.0 amd64 [установлен, локальный]
clang-7/now 1:7.0.1-10 amd64 [установлен, локальный]
firmware-ath9k-htc/now 1.4.0-97-g75b3e59+dfsg-3 all [установлен, локальный]
ipython/now 5.8.0-3 all [установлен, локальный]
jdk-13.0.2/now 13.0.2-1 amd64 [установлен, локальный]
libapt-inst2.0/now 1.8.4 amd64 [установлен, локальный]
libapt-pkg5.0/now 1.8.4 amd64 [установлен, локальный]
libclang-common-7-dev/now 1:7.0.1-10 amd64 [установлен, локальный]
libclang1-7/now 1:7.0.1-10 amd64 [установлен, локальный]
libdns-export1104/now 1:9.11.5.P4+dfsg-5.1+b1 amd64 [установлен, локальный]
libffi6/now 3.2.1-9 amd64 [установлен, локальный]
libhogweed4/now 3.4.1-1+b1 amd64 [установлен, локальный]
libisc-export1100/now 1:9.11.5.P4+dfsg-5.1+b1 amd64 [установлен, локальный]
libllvm7/now 1:7.0.1-10 amd64 [установлен, локальный]
libnettle6/now 3.4.1-1+b1 amd64 [установлен, локальный]
libperl5.28/now 5.28.1-6 amd64 [установлен, локальный]
libprocps7/now 2:3.3.15-2+b1 amd64 [установлен, локальный]
libunique-1.0-0/now 1.1.6-6 amd64 [установлен, локальный]
linux-headers-5.5.0-kali1-amd64/now 5.5.13-2kali1 amd64 [установлен, локальный]
linux-headers-5.5.0-kali1-common/now 5.5.13-2kali1 all [установлен, локальный]
linux-image-5.5.0-kali1-amd64/now 5.5.13-2kali1 amd64 [установлен, локальный]
llvm-7-dev/now 1:7.0.1-10 amd64 [установлен, локальный]
llvm-7-runtime/now 1:7.0.1-10 amd64 [установлен, локальный]
llvm-7/now 1:7.0.1-10 amd64 [установлен, локальный]
perl-modules-5.28/now 5.28.1-6 all [установлен, локальный]
postgresql-11/now 11.6-2~sid1 amd64 [установлен, локальный]
postgresql-client-11/now 11.6-2~sid1 amd64 [установлен, локальный]
python-asn1crypto/now 0.24.0-1 all [установлен, локальный]
python-automat/now 0.6.0-1 all [установлен, локальный]
python-backports-shutil-get-terminal-size/now 1.0.0-5 all [установлен, локальный]
python-cffi-backend/now 1.13.2-1+b1 amd64 [установлен, локальный]
python-constantly/now 15.1.0-1 all [установлен, локальный]
python-cryptography/now 2.6.1-4 amd64 [установлен, локальный]
python-enum34/now 1.1.6-2 all [установлен, локальный]
python-hyperlink/now 19.0.0-1 all [установлен, локальный]
python-idna/now 2.6-2 all [установлен, локальный]
python-incremental/now 16.10.1-3.1 all [установлен, локальный]
python-ipaddress/now 1.0.17-1 all [установлен, локальный]
python-ipython-genutils/now 0.2.0-1 all [установлен, локальный]
python-ipython/now 5.8.0-3 all [установлен, локальный]
python-openssl/now 19.0.0-1 all [установлен, локальный]
python-pexpect/now 4.6.0-1 all [установлен, локальный]
python-pickleshare/now 0.7.5-1 all [установлен, локальный]
python-prompt-toolkit/now 1.0.15-3 all [установлен, локальный]
python-ptyprocess/now 0.6.0-1 all [установлен, локальный]
python-pyasn1-modules/now 0.2.1-0.2 all [установлен, локальный]
python-pysqlite2/now 2.7.0-1+b1 amd64 [установлен, локальный]
python-service-identity/now 18.1.0-5 all [установлен, локальный]
python-simplegeneric/now 0.8.1-2 all [установлен, локальный]
python-traitlets/now 4.3.3-2 all [установлен, локальный]
python-twisted-bin/now 18.9.0-3 amd64 [установлен, локальный]
python-twisted-core/now 18.9.0-3 all [установлен, локальный]
python-twisted-web/now 18.9.0-3 all [установлен, локальный]
python-zope.interface/now 4.7.1-1+b1 amd64 [установлен, локальный]
sslstrip/now 0.9-1kali3 all [установлен, локальный]
xfce4-notes-plugin/now 1.8.1-3 amd64 [установлен, локальный]
xfce4-notes/now 1.8.1-3 amd64 [установлен, локальный]
zenmap/now 7.80+dfsg1-1kali1 all [установлен, локальный]

apt list –installed | grep -i font

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

fontconfig-config/kali-rolling,now 2.13.1-4 all [установлен, автоматически]
fontconfig/kali-rolling,now 2.13.1-4 amd64 [установлен, автоматически]
fonts-cantarell/kali-rolling,now 0.111-2 all [установлен, автоматически]
fonts-dejavu-core/kali-rolling,now 2.37-1 all [установлен, автоматически]
fonts-dejavu-extra/kali-rolling,now 2.37-1 all [установлен, автоматически]
fonts-dejavu/kali-rolling,now 2.37-1 all [установлен, автоматически]
fonts-droid-fallback/kali-rolling,now 1:6.0.1r16-1.1 all [установлен, автоматически]
fonts-firacode/kali-rolling,now 2+dfsg1-1 all [установлен, автоматически]
fonts-font-awesome/kali-rolling,now 5.0.10+really4.7.0~dfsg-1 all [установлен, автоматически]
fonts-glyphicons-halflings/kali-rolling,now 1.009~3.4.1+dfsg-1 all [установлен, автоматически]
fonts-hack/kali-rolling,now 3.003-3 all [установлен, автоматически]
fonts-lato/kali-rolling,now 2.0-2 all [установлен, автоматически]
fonts-liberation/kali-rolling,now 1:1.07.4-11 all [установлен, автоматически]
fonts-lyx/kali-rolling,now 2.3.4.2-2 all [установлен, автоматически]
fonts-noto-mono/kali-rolling,now 20200323-1 all [установлен, автоматически]
fonts-quicksand/kali-rolling,now 0.2016-2 all [установлен, автоматически]
fonts-roboto-slab/kali-rolling,now 1.100263+20170512-2 all [установлен, автоматически]
fonts-urw-base35/kali-rolling,now 20170801.1-3 all [установлен, автоматически]
fonts-wine/kali-rolling,now 5.0-4 all [установлен, автоматически]
gsfonts-x11/kali-rolling,now 0.27 all [установлен, автоматически]
gsfonts/kali-rolling,now 1:8.11+urwcyr1.0.7~pre44-4.4 all [установлен, автоматически]
libfont-afm-perl/kali-rolling,now 1.20-2 all [установлен, автоматически]
libfontconfig1/kali-rolling,now 2.13.1-4 amd64 [установлен, автоматически]
libfontenc1/kali-rolling,now 1:1.1.3-1+b2 amd64 [установлен, автоматически]
libxfont2/kali-rolling,now 1:2.0.3-1 amd64 [установлен, автоматически]
toilet-fonts/kali-rolling,now 0.3-1.2 all [установлен, автоматически]
xfonts-100dpi/kali-rolling,now 1:1.0.4+nmu1 all [установлен, автоматически]
xfonts-75dpi/kali-rolling,now 1:1.0.4+nmu1 all [установлен, автоматически]
xfonts-base/kali-rolling,now 1:1.0.5 all [установлен, автоматически]
xfonts-encodings/kali-rolling,now 1:1.0.4-2 all [установлен, автоматически]
xfonts-scalable/kali-rolling,now 1:1.0.3-1.1 all [установлен, автоматически]
xfonts-utils/kali-rolling,now 1:7.7+6 amd64 [установлен, автоматически]
soriye577 ()
Ответ на: комментарий от Artamudo

на виртуалке, но переустановка это крайняя мера, хотелось бы все таки постараться решить проблему, тк систему настроил под себя полностью и делать это заново не оч хочется

soriye577 ()
Ответ на: комментарий от Vsevolod-linuxoid

Спасибо за рекомендации, я не гуру линукса, но и не впервые сел за него, я пользуюсь разными дистрибутивами, в зависимости от задач и kali лишь один из них. Kali запускаю в основном с виртуалки и приобретать флешку ради нее не вижу особого смысла, тк мне виртуалки вполне хватает. То что она не стабильна, это да, но все же, я думаю, что моя проблема вполне решаема и хочу попытаться найти это решение. В остальном, в целом, согласен с тобой, но все же хотелось бы понять, что могло произойти в конкретной ситуации и найти решение

soriye577 ()
Ответ на: комментарий от soriye577

Тогда ищи решение сам. На мой взгляд поиск решения этой проблемы в твоем случае есть абсолютно бесполезная трата времени потому, что во-первых, из-за специфичности Kali ты даже в случае успеха не получишь полезных навыков, так как скорее всего это калиспецифичный глюк; во-вторых, переустановить её на виртуалке будет в разы быстрее.

Vsevolod-linuxoid ★★★★★ ()